pecl_http no Ubuntu

Instalando a pecl_http PHP extension no Ubuntu em 4 palhetadas:

  • sudo apt-get install php-pear php5-dev libcurl4-openssl-dev
  • sudo pecl install pecl_http
  • criar /etc/php5/conf.d/http.ini contendo:
         extension=http.so
  • sudo /etc/init.d/apache2 restart

Maneira preguiçosa de converter vídeos no formato compatível com iPod,iPad ou iPhone

Ipad-video-converter-wondersha

Passei os últimos 30 minutos escrevendo um novo programa que chamei de iPow.

Este programa me ajuda a organizar meus vídeos de modo que eu possa preguiçosamente, guardar vídeos em qualquer formato dentro de um diretório qualquer, e, com um comando, produzir uma versão de vídeo compatível com meu iPod ou meu iPad.

O formato produzido, permite que eu acesse o Apache de meu desktop e assista um vídeo no iPad por stream.

Também quero uma versão em mp3 de cada vídeo, para que eu possa ouvir no carro e este programa também faz isso.

Para isto, utilizo outros programas, que você deverá instalar: handbrake e o ffmpeg.

Geralmente utilizo o ClipGrab para fazer o download dos vídeos que quero assistir, baixando-os para o diretório ~/Videos/converter.

Depois entro em ~/Videos/converter e rodo ‘iPow all’

Penso em colocá-lo no cron para que rode a noite. Eu utilizo estes programas em meu Desktop Ubuntu 11.04 e ele me atende da forma que está. Se você tem o mesmo tipo de preguiça, tente utilizá-lo, modifique-o, seja livre!

Página do projeto:
https://github.com/gpupo/iPow

Transferindo vídeos para o iPod/iPad/iPhone no Ubuntu: Contorno do bug

Gtkpod-main-coverartdisplay

Se você enfrenta o bug do Banshee/media-player-info,
que insiste em dizer que seu dispositivo não suporta m4v ( format is not supported by the device !&# ),
uma solução de contorno é instalar o gtkpod + mpeg4ip-utils.

Aqui foi a alternativa que encontrei, depois de atualizar um monte de coisa e ainda assim tomar um ” format is not supported by the device” na cara.

O gtkpod quebrou um galho, apesar da interface não ser lá grandes coisas.

No gtkpod, depois de “enviar”, você precisa “salvar” (que é a operação que envia o vídeo – Dã!).

CMUSphinx: Sistemas que interagirem com a voz

O CMUSphinx dá aos desenvolvedoresa capacidade de construir sistemas de fala, e interagirem com a voz,construindo algo único e útil:

[youtube http://www.youtube.com/watch?v=fQ59dXOo63o?wmode=transparent]

 

[youtube http://www.youtube.com/watch?v=3VA2Th121zQ?wmode=transparent]

Unity Vs GNOME 3. Quem mexeu no meu queijo?

Whatsnew-dash

Se você, assim como eu, utiliza Ubuntu em seu computador, provavelmente recebeu a última utilização e fez upgrade para
a versão Ubuntu 11.04 (Natty), e após reiniciar o sistema,  gritou “Quem mexeu no meu queijo?! “.

O Ubuntu 11.04 roda algo chamado Unity acima do GNOME, e tem como proposta, a de tornar mais amigável
a movimentação entre aplicações, melhorar a utilização do espaço útil e aumentar a compatibilidade para interfaces touch screen.

Naturalmente, quem nunca utilizou o Unity não vai achar a usabilidade tão intuitiva e será trivial reclamações no twitter durante estes próximos dias.

Antes de reclamar, o primeiro passo, é dar uma chance ao projeto!

Aprenda os atalhos do Unity , e tire dúvidas nas perguntas frequentes.

As plataformas evoluem e fugir de mudanças não é o melhor caminho.

Utilize e tire suas próprias conclusões!

E se não gostar? Fácil!

Você pode usar o PPA gnome3 para substituir o Gnome 2.x de seu Ubuntu 11.04, pelo Gnome 3 com GNOME 3 shell, o que vai retirar completamento o Unity.
* Importante: O PPA gnome3 é experimental e sem métodos de Downgrade.

Utilizar algo novo contribui com nossa experiência de usabilidade,  abre novos caminhos neurais e não vai machucar, concorda?

Eu quero saber sua opinião aqui nos comentários, nos dizendo como está lidando com a mudança, e qual caminho seguiu!

Unity ou GNOME 3?